import {createVNode, render} from "vue";
import dialog from "@/components/yvan-ui/yvan-print-dialog/dialog.vue";

export default (options) => {
    return new Promise((resolve, reject) => {
        // 创建一个空的div
        const mountNode = document.createElement("div");
        mountNode.className = 'yvan-print-dialog'
        const handleConfirm = (res: any) => {
            // 调用完毕后应该清空节点
            render(null, mountNode)
            mountNode.remove();
            resolve(res)
        }
        const handleClose = (res: any) => {
            render(null, mountNode);
            mountNode.remove();
            reject(res)
        };
        // 将options参数传入，并将dialog组件转换成虚拟DOM，并赋值给app
        const app = createVNode(dialog, {
            ...options,
            visible: true,
            handleConfirm: handleConfirm,
            handleClose: handleClose
        });

        // render函数的作用就是将dialog组件的虚拟DOM转换成真实DOM并插入到mountNode元素里
        render(app, mountNode);
        // 然后把转换成真实DOM的dialog组件插入到body里
        document.body.appendChild(mountNode);
    })
};