import {createApp} from 'vue'
import {createPinia} from 'pinia'
import ElementPlus from 'element-plus'
import '@/style.css'
import '@/assets/style/main.less'
import '@/assets/style/variable.css'
import 'element-plus/theme-chalk/index.css'
import * as Icons from '@ant-design/icons-vue'
import App from '@/App.vue'
import {install} from "@/components/elements"

const pinia = createPinia()

const app = createApp(App)
for (const i in Icons) {
    app.component(i, Icons[i])
}

app.use({install})

app.use(pinia).use(ElementPlus, {}).mount('#app')
