import {globalStore} from "@/store";

export function getEditorRect() {
    return globalStore().getEditor()?.getBoundingClientRect();
}

export function getEditorMenuPos(eleTop, eleLeft) {
    const editorRect = globalStore().getEditor()?.getBoundingClientRect();
    if (editorRect) {
        return {
            top: eleTop - 28,
            left: eleLeft - 200
        }
    }
    return {}
}

export function getEditorMenu() {
    const currentElement = globalStore().curComponent;
    if (!currentElement) {
        return [
            {
                code: 'paste',
                icon: 'fa fa-paste',
                label: '粘贴',
                status: 'default',
                event: () => {
                    globalStore().paste(true)
                    globalStore().recordSnapshot()
                }
            }
        ]
    }
    if (currentElement?.isLock) {
        return [
            {
                code: 'unlock',
                icon: 'fa fa-unlock',
                label: '解锁',
                status: 'default',
                event: () => {
                    globalStore().unlock({curComponent: currentElement})
                }
            }
        ]
    }
    return [
        {
            code: 'copy',
            icon: 'fa fa-copy',
            label: '复制',
            status: 'default',
            event: () => {
                globalStore().copy()
            }
        },
        {
            code: 'cut',
            icon: 'fa fa-cut',
            label: '剪切',
            status: 'default',
            event: () => {
                globalStore().cut()
            }
        },
        {
            code: 'del',
            icon: 'fa fa-trash',
            label: '删除',
            status: 'danger',
            event: () => {
                globalStore().deleteComponent(globalStore().curComponentIndex)
                globalStore().recordSnapshot()
            }
        },
        {
            code: 'lock',
            icon: 'fa fa-lock',
            label: '锁定',
            status: 'default',
            event: () => {
                globalStore().lock({curComponent: currentElement})
            }
        },
        {
            code: 'top',
            icon: 'fa fa-angle-double-up',
            label: '置顶',
            status: 'default',
            event: () => {
                // this.$store.commit('printTemplateModule/topComponent')
                // this.$store.commit('printTemplateModule/recordSnapshot')
            }
        },
        {
            code: 'bottom',
            icon: 'fa fa-angle-double-down',
            label: '置底',
            status: 'default',
            event: () => {
                // this.$store.commit('printTemplateModule/bottomComponent')
                // this.$store.commit('printTemplateModule/recordSnapshot')
            }
        },
        {
            code: 'up',
            icon: 'fa fa-arrow-circle-up',
            label: '上移',
            status: 'default',
            event: () => {
                // this.$store.commit('printTemplateModule/upComponent')
                // this.$store.commit('printTemplateModule/recordSnapshot')
            }
        },
        {
            code: 'down',
            icon: 'fa fa-arrow-circle-down',
            label: '下移',
            status: 'default',
            event: () => {
                // this.$store.commit('printTemplateModule/downComponent')
                // this.$store.commit('printTemplateModule/recordSnapshot')
            }
        }
    ]
}