import {h} from "vue";
import {nanoid} from "nanoid";
import {ElIcon} from "element-plus";
import * as FaIcon from '@vicons/fa';
import Toast from "@/components/yvan-ui/yvan-print-toast"
import Dialog from "@/components/yvan-ui/yvan-print-dialog"

class System {

    public getUuid(length = 8) {
        return nanoid(length)
    }

    public toast(message: string = '', type: string = 'warning', duration: number = 3000): void {
        return Toast({
            type: type,
            message: message,
            duration: duration
        })
    }

    public showDialog(componentName: any, props: DialogProps): Promise<any> {
        return Dialog({componentName, ...props})
    }

    public renderIcon(iconName: string): any {
        if (!iconName) {
            return
        }
        return () => h(ElIcon, null, {default: () => h(FaIcon[iconName])});
    }
}

export default new System()

export interface DialogProps {
    title: String,
    width: Number,
}